---
title: llarp::SessionStats

---

# llarp::SessionStats





## Public Attributes

|                | Name           |
| -------------- | -------------- |
| uint64_t | **[currentRateRX](Classes/structllarp_1_1SessionStats.md#variable-currentraterx)**  |
| uint64_t | **[currentRateTX](Classes/structllarp_1_1SessionStats.md#variable-currentratetx)**  |
| uint64_t | **[totalPacketsRX](Classes/structllarp_1_1SessionStats.md#variable-totalpacketsrx)**  |
| uint64_t | **[totalAckedTX](Classes/structllarp_1_1SessionStats.md#variable-totalackedtx)**  |
| uint64_t | **[totalDroppedTX](Classes/structllarp_1_1SessionStats.md#variable-totaldroppedtx)**  |
| uint64_t | **[totalInFlightTX](Classes/structllarp_1_1SessionStats.md#variable-totalinflighttx)**  |

## Public Attributes Documentation

### variable currentRateRX

```cpp
uint64_t currentRateRX = 0;
```


### variable currentRateTX

```cpp
uint64_t currentRateTX = 0;
```


### variable totalPacketsRX

```cpp
uint64_t totalPacketsRX = 0;
```


### variable totalAckedTX

```cpp
uint64_t totalAckedTX = 0;
```


### variable totalDroppedTX

```cpp
uint64_t totalDroppedTX = 0;
```


### variable totalInFlightTX

```cpp
uint64_t totalInFlightTX = 0;
```


-------------------------------

Updated on 2023-01-09 at 16:43:38 +0000